Functions
QSPI Initialization and de-initialization functions
Peripheral Driver » LL Driver » QSPI » Functions
Collaboration diagram for QSPI Initialization and de-initialization functions:

## Functions
error_status_t | ll_qspi_deinit (qspi_regs_t *QSPIx)
| De-initialize SSI registers (Registers restored to their default values). More...
error_status_t | ll_qspi_init (qspi_regs_t *QSPIx, ll_qspi_init_t *p_spi_init)
| Initialize SSI registers according to the specified parameters in SPI_InitStruct. More...
error_status_t | ll_qspi_memorymapped (qspi_regs_t *QSPIx, ll_qspi_memorymapped_init_t *p_qspi_mmap_init)
| Configure the qspi to memorymapped. More...
void | ll_qspi_struct_init (ll_qspi_init_t *p_spi_init)
| Set each field of a ll_qspi_init_t type structure to default value. More...

## Detailed Description

## Function Documentation

## ◆ ll_qspi_deinit()

error_status_t ll_qspi_deinit | ( | qspi_regs_t * | QSPIx | ) |

De-initialize SSI registers (Registers restored to their default values).

Parameters

  QSPIx | SSI instance

Return values

  An | error_status_t enumeration value: SUCCESS: SSI registers are de-initialized ERROR: SSI registers are not de-initialized

## ◆ ll_qspi_init()

error_status_t ll_qspi_init | ( | qspi_regs_t * | QSPIx,
|  | ll_qspi_init_t * | p_spi_init
| ) |  |

Initialize SSI registers according to the specified parameters in SPI_InitStruct.

Parameters

  QSPIx | SSI instance
  p_spi_init | Pointer to a ll_qspi_init_t structure that contains the configuration information for the specified QSPI peripheral.

Return values

  An | error_status_t enumeration value: SUCCESS: SPI registers are initialized according to p_spi_init content ERROR: Problem occurred during SPI Registers initialization

## ◆ ll_qspi_memorymapped()

error_status_t ll_qspi_memorymapped | ( | qspi_regs_t * | QSPIx,
|  | ll_qspi_memorymapped_init_t * | p_qspi_mmap_init
| ) |  |

Configure the qspi to memorymapped.

Parameters

  QSPIx | QSPI instance
  p_qspi_mmap_init | pointer to a ll_qspi_memorymapped_init_t structure

Return values

  An | ErrorStatus enumeration value: SUCCESS: spi registers are de-initialized ERROR: not applicable

## ◆ ll_qspi_struct_init()

void ll_qspi_struct_init | ( | ll_qspi_init_t * | p_spi_init | ) |

Set each field of a ll_qspi_init_t type structure to default value.

Parameters

  p_spi_init | Pointer to a ll_qspi_init_t structure whose fields will be set to default values.

Return values

  None |